Subject: boost::graph: DAG check, on_cycle_edge
From: [email-masked] (tremere)
Date: 10 May 2004 05:55:17 -0400
Newsgroups: comp.lang.c++.moderated

Hi!

I'm pretty new to the Boost lib, and I need some help.
I'm trying to do a topological sort on a graph, but before that
I would like to check if the graph is a DAG. If not, I'd like to
mark the vertices of all the cycles to allow the user to remove
them.

I couldn't find any examples or information on using on_cycle_edge.
Any help, or idea of an other solution would be appresiated.

thx
tremere

      [ See http://www.gotw.ca/resources/clcm.htm for info about ]
      [ comp.lang.c++.moderated.    First time posters: Do this! ]